> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/pt/automatizacao/runbooks/runbook-references/org/general/sync-apple-tokens.md).

# Sincronizar tokens da Apple

Sincronizar os tokens de inscrição e VPP da Apple com o Intune

### Descrição

Aciona uma sincronização dos tokens Apple no Intune, para que as inscrições de dispositivos do Apple Business Manager e as licenças de aplicações do Volume Purchase Program estejam atualizadas. Pode sincronizar um tipo de token ou ambos.

### Localização

Organização → Geral → Sincronizar tokens Apple

**Nome completo do Runbook**

rjgit-org\_general\_sync-apple-tokens

### Detalhes

| Propriedade         | Valor                                                                                    |
| ------------------- | ---------------------------------------------------------------------------------------- |
| Versão              | 1.0.2                                                                                    |
| Módulos necessários | <p>RealmJoin.RunbookHelper (>= 0.8.10)<br>Microsoft.Graph.Authentication (>= 2.41.2)</p> |
| Agendável           | não                                                                                      |

### Permissões

#### Permissões da aplicação

* **Tipo**: Microsoft Graph
  * DeviceManagementApps.ReadWrite.All
    * *Lê os tokens VPP da Apple e aciona syncLicenses para cada um deles*
  * DeviceManagementServiceConfig.ReadWrite.All
    * *Lê as definições de integração do DEP e aciona syncWithAppleDeviceEnrollmentProgram para tokens ADE*

### Parâmetros

#### Tipo de sincronização

Sincronize os tokens do Enrollment Program, os tokens VPP ou ambos.

| Propriedade                | Valor                |
| -------------------------- | -------------------- |
| Obrigatório                | verdadeiro           |
| Valor predefinido          | Ambos                |
| Tipo                       | Cadeia de caracteres |
| Nome de exibição do portal | Tokens a sincronizar |

**Opções do portal**

| Opção do portal                                    | Valor                |
| -------------------------------------------------- | -------------------- |
| Sincronizar ambos os tokens de Enrollment e VPP    | Ambos                |
| Sincronizar apenas os tokens do Enrollment Program | Tokens de Enrollment |
| Sincronizar apenas os tokens VPP                   | Tokens VPP           |

[Voltar à visão geral da referência do Runbook](/pt/automatizacao/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/pt/automatizacao/runbooks/runbook-references/org/general/sync-apple-tokens.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
